summaryrefslogtreecommitdiff
path: root/tests.as-root/run-in-artifact-with-different-artifacts.script
diff options
context:
space:
mode:
authorJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-12-17 14:52:40 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2013-02-21 15:50:29 +0000
commit9dd3b80e98705c341b0d702b8fbcd17506803b81 (patch)
treeb9e1fe463ecc424e14a9575790fcd47f460c141b /tests.as-root/run-in-artifact-with-different-artifacts.script
parent6d901c09f611b3cb98d6b88bf99810782610c617 (diff)
downloadmorph-9dd3b80e98705c341b0d702b8fbcd17506803b81.tar.gz
Add image inspection plugin
This adds a `run-in-artifact` command which allows another command to be run in a system. There is also a `content-manifest` command which gives a manifest of the artifacts, which commits they were built from, and if possible, a version. This adds a morphlib.bins.call_in_artifact_directory() method to run a command inside an artifact and to generate a manifest.
Diffstat (limited to 'tests.as-root/run-in-artifact-with-different-artifacts.script')
-rwxr-xr-xtests.as-root/run-in-artifact-with-different-artifacts.script47
1 files changed, 47 insertions, 0 deletions
diff --git a/tests.as-root/run-in-artifact-with-different-artifacts.script b/tests.as-root/run-in-artifact-with-different-artifacts.script
new file mode 100755
index 00000000..0b14f527
--- /dev/null
+++ b/tests.as-root/run-in-artifact-with-different-artifacts.script
@@ -0,0 +1,47 @@
+#!/bin/bash
+#
+# Copyright (C) 2012-2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Test the 'run-in-artifact' command with different types of artifacts.
+
+set -eu
+
+. "$SRCDIR/tests.as-root/lib"
+
+# Build first image. Remember the stratum.
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs master linux-system
+
+system=$(find "$DATADIR/cache/artifacts" -maxdepth 1 -name '*.system.*-rootfs')
+chunk=$(find "$DATADIR/cache/artifacts" -maxdepth 1 -name '*.chunk.linux')
+stratum=$(find "$DATADIR/cache/artifacts" -maxdepth 1 \
+ -name '*.stratum.linux-stratum')
+
+# Run 'run-in-artifact' with the system artifact.
+echo "System:"
+"$SRCDIR/scripts/test-morph" run-in-artifact "$system" -- ls factory/baserock/
+echo
+
+# Run 'run-in-artifact' with the chunk artifact.
+echo "Chunk:"
+"$SRCDIR/scripts/test-morph" run-in-artifact "$chunk" -- ls baserock/
+echo
+
+# Run 'run-in-artifact' with the statum artifact.
+echo "Stratum:"
+"$SRCDIR/scripts/test-morph" run-in-artifact "$stratum" -- ls baserock/ \
+ || echo "Failed"